<?php
/*
Plugin Name: FB Hot Content Seeker
Plugin URI: http://resell-rights-weekly.com/
Description: Search for popular content on Facebook for you to share!
Version: 9.1.0.0
Author: RRW
Author URI: http://resell-rights-weekly.com/
Stable tag: 9.1.0.0
Text Domain: pm-fb-hcs
Domain Path: /languages

*/

if(!defined('__DIR__')) {
    define( 'PM_FB_HCS_DIR', plugin_dir_url( __FILE__) );
    define( 'PM_FB_HCS_PATH', dirname( __FILE__) );
} else {
	define( 'PM_FB_HCS_DIR', WP_PLUGIN_URL.'/'.basename(__DIR__) );
	define( 'PM_FB_HCS_PATH', WP_PLUGIN_DIR.'/'.basename(__DIR__) );
}
define( 'PM_FB_HCS_WP_DIR', get_bloginfo('wpurl') );
define( 'PM_FB_HCS_PLUGIN_NAME', 'FB Hot Content Seeker' );
define( 'PM_FB_HCS_VERSION', '9.1.0.0' );
define('PM_FB_HCS_SETTINGS_OPTION','pm_fb_hcs_settings_options');

include('modules/settings.php');
include('modules/shortcodes.php');
include('modules/functions.php');
include('modules/post-meta.php');

register_activation_hook( __FILE__, 'pm_fb_hcs_install' );
register_deactivation_hook( __FILE__, 'pm_fb_hcs_deactivate' );


?>